<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Session;

class Categoriacontabile extends \App\Models\AbstractModels\AbstractCategoriacontabile
{
    public static function vendita(){
        return self::where('attivita_id', session('attivita_attuale'))->where('is_attiva', true)->where('nome', 'Vendita')->first();
    }
    public static function staff(){
        return self::where('attivita_id', session('attivita_attuale'))->where('is_attiva', true)->where('nome', 'Staff')->first();
    }
}
